# Yahoo! UI Library

### editor 2.8.2r1

Yahoo! UI Library > editor > YAHOO.widget.EditorWindow
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.EditorWindow

Class to hold Window information between uses. We use the same panel to show the windows, so using this will allow you to configure a window before it is shown. This is what you pass to Editor.openWindow();. These parameters will not take effect until the openWindow() is called in the editor.

### Properties

#### attrs - `private object`

The window attributes

#### body - `private object`

Holder for the body of the window, used in Editor.openWindow

#### footer - `private object`

Holder for the footer of the window, used in Editor.openWindow

#### header - `private object`

Holder for the header of the window, used in Editor.openWindow

#### name - `private object`

A unique name for the window

### Methods

#### setBody

`void setBody ( str )`
Sets the body for the window.

Parameters:
  `str <String/HTMLElement>` The string or DOM reference to be used as the windows body.

#### setFooter

`void setFooter ( str )`
Sets the footer for the window.

Parameters:
  `str <String/HTMLElement>` The string or DOM reference to be used as the windows footer.

#### setHeader

`void setHeader ( str )`
Sets the header for the window.

Parameters:
  `str <String/HTMLElement>` The string or DOM reference to be used as the windows header.

#### toString

`String toString ( )`
Returns a string representing the EditorWindow.

Copyright © 2010 Yahoo! Inc. All rights reserved.